The *check-software.ps1* Script
===========================

This PowerShell script queries the software status of the local computer and prints it.

Parameters
----------
```powershell
/Repos/PowerShell/scripts/check-software.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./check-software.ps1



=== S O F T W A R E ===
✅ Windows 10 Pro 64-Bit (v10.0.19045, since 5/2/2021)
...

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Checks the software
.DESCRIPTION
	This PowerShell script queries the software status of the local computer and prints it.
.EXAMPLE
	PS> ./check-software.ps1

	   === S O F T W A R E ===
	✅ Windows 10 Pro 64-Bit (v10.0.19045, since 5/2/2021)
	...
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

Write-Host "`n   === S O F T W A R E ===" -foregroundColor green
& "$PSScriptRoot/check-os.ps1"
& "$PSScriptRoot/check-uptime.ps1"
& "$PSScriptRoot/check-apps.ps1"
& "$PSScriptRoot/check-powershell.ps1"
& "$PSScriptRoot/check-time-zone.ps1"
& "$PSScriptRoot/check-swap-space.ps1"
exit 0 # success
```

*(page generated by convert-ps2md.ps1 as of 06/22/2025 10:37:35)*
