The *list-installed-hotfixes.ps1* Script
===========================

This PowerShell script lists the installed hotfixes.

Parameters
----------
```powershell
/Repos/PowerShell/scripts/list-installed-hotfixes.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./list-installed-hotfixes.ps1



Source        Description      HotFixID      InstalledBy          InstalledOn
------        -----------      --------      -----------          -----------
MyPC          Update           KB5054977     NT AUTHORITY\SYSTEM  4/10/2025 12:00:00 AM

```

Notes
-----
https://github.com/fleschutz/PowerShell

Related Links
-------------
navigationLink
--------------
{@{uri=Author: Markus Fleschutz | License: CC0}, @{linkText=Author: Markus Fleschutz | License: CC0}}

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Lists the installed hotfixes
.DESCRIPTION
	This PowerShell script lists the installed hotfixes.
.EXAMPLE
	PS> ./list-installed-hotfixes.ps1

	Source        Description      HotFixID      InstalledBy          InstalledOn
	------        -----------      --------      -----------          -----------
	MyPC          Update           KB5054977     NT AUTHORITY\SYSTEM  4/10/2025 12:00:00 AM
.NOTES
	https://github.com/fleschutz/PowerShell
.LINK
	Author: Markus Fleschutz | License: CC0
#>

try {
	Get-Hotfix
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(page generated by convert-ps2md.ps1 as of 06/22/2025 10:37:37)*
