The *list-outlook-sent.ps1* Script
===========================

This PowerShell script lists the mails in the Sent Mail folder of Outlook.

Parameters
----------
```powershell
/Repos/PowerShell/scripts/list-outlook-sent.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./list-outlook-sent.ps1

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Lists Outlook's Sent Mails
.DESCRIPTION
	This PowerShell script lists the mails in the Sent Mail folder of Outlook.
.EXAMPLE
	PS> ./list-outlook-sent.ps1
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	$Outlook = New-Object -com Outlook.application
	$MAPI = $Outlook.GetNameSpace("MAPI")
	$Inbox = $MAPI.GetDefaultFolder(5) # 5 = olFolderSentMail
	$Inbox.items | Select SentOn,Subject | Format-Table -AutoSize
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(page generated by convert-ps2md.ps1 as of 06/22/2025 10:37:38)*
