The *list-powershell-verbs.ps1* Script
===========================

This PowerShell script lists all allowed/recommended verbs in PowerShell.

Parameters
----------
```powershell
/Repos/PowerShell/scripts/list-powershell-verbs.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./list-powershell-verbs.ps1



Verb        Group
----        -----
Add         Common            
...

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Lists verbs in PowerShell
.DESCRIPTION
	This PowerShell script lists all allowed/recommended verbs in PowerShell.
.EXAMPLE
	PS> ./list-powershell-verbs.ps1

	Verb        Group
	----        -----
	Add         Common            
	...
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	Get-Verb | Sort-Object -Property Verb
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(page generated by convert-ps2md.ps1 as of 06/22/2025 10:37:38)*
