The *spell-word.ps1* Script
===========================

This PowerShell script spells the given word by text-to-speech (TTS).

Parameters
----------
```powershell
/Repos/PowerShell/scripts/spell-word.ps1 [[-word] <String>] [<CommonParameters>]

-word <String>
    Specifies the word to spell (queried by default)
    
    Required?                    false
    Position?                    1
    Default value                
    Accept pipeline input?       false
    Aliases                      
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./spell-word.ps1 Yoda
(listen)

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Spells a word
.DESCRIPTION
	This PowerShell script spells the given word by text-to-speech (TTS).
.PARAMETER word
        Specifies the word to spell (queried by default)
.EXAMPLE
	PS> ./spell-word.ps1 Yoda
	(listen)
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

param([string]$word = "")

try {
	if ($word -eq "" ) { $word = Read-Host "Enter the word to spell" }

	[char[]]$array = $word.ToUpper()
	$reply = ""
	foreach($char in $array) {
		$reply += $char + ", "
	}
	& "$PSScriptRoot/speak-english.ps1" $reply
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
        exit 1
}
```

*(page generated by convert-ps2md.ps1 as of 06/22/2025 10:37:41)*
