The *write-uppercase.ps1* Script
===========================

This PowerShell script writes the given text in uppercase letters.

Parameters
----------
```powershell
/Repos/PowerShell/scripts/write-uppercase.ps1 [[-text] <String>] [<CommonParameters>]

-text <String>
    Specifies the text to write (ask user by default)
    
    Required?                    false
    Position?                    1
    Default value                
    Accept pipeline input?       false
    Aliases                      
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./write-uppercase.ps1 "Hello World"
HELLO WORLD

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Writes text in uppercase letters
.DESCRIPTION
	This PowerShell script writes the given text in uppercase letters.
.PARAMETER text
	Specifies the text to write (ask user by default)
.EXAMPLE
	PS> ./write-uppercase.ps1 "Hello World"
	HELLO WORLD
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

param([string]$text = "")

if ($text -eq "" ) { $text = Read-Host "Enter the text to write" }

Write-Output $text.ToUpper()
exit 0 # success
```

*(page generated by convert-ps2md.ps1 as of 06/22/2025 10:37:42)*
