﻿<#
.SYNOPSIS
	Lists the installed services
.DESCRIPTION
	This PowerShell script lists all services installed on the local computer.
.EXAMPLE
	PS> ./list-services.ps1

	Status   Name               DisplayName
	------   ----               -----------
	Running  AarSvc_886c2       Agent Activation Runtime_886c2
	...
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	Get-Service
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
